# Interface MapFishPrintWmtsLayer

interface MapFishPrintWmtsLayer {
baseURL: string;
dimensionParams: Object;
dimensions: Object;
imageFormat: string;
layer: string;
matrices: MapFishPrintWmtsMatrix[];
matrixSet: string;
opacity: number;
requestEncoding: string;
style: string;
type: string;
version: string;
}

- Defined in src/print/mapfish-print-v3.js:160

#####
Index

### Properties

baseURL
dimensionParams
dimensions
imageFormat
layer
matrices
matrixSet
opacity
requestEncoding
style
type
version

## Properties

### baseURL

baseURL: string

- Defined in src/print/mapfish-print-v3.js:163

### dimensionParams

dimensionParams: Object

- Defined in src/print/mapfish-print-v3.js:165

### dimensions

dimensions: Object

- Defined in src/print/mapfish-print-v3.js:164

### imageFormat

imageFormat: string

- Defined in src/print/mapfish-print-v3.js:166

### layer

layer: string

- Defined in src/print/mapfish-print-v3.js:167

### matrices

matrices: MapFishPrintWmtsMatrix[]

- Defined in src/print/mapfish-print-v3.js:168

### matrixSet

matrixSet: string

- Defined in src/print/mapfish-print-v3.js:169

### opacity

opacity: number

(MapFishPrintLayer)

- Defined in src/print/mapfish-print-v3.js:162

### requestEncoding

requestEncoding: string

- Defined in src/print/mapfish-print-v3.js:170

### style

style: string

- Defined in src/print/mapfish-print-v3.js:171

### type

type: string

(MapFishPrintLayer)

- Defined in src/print/mapfish-print-v3.js:161

### version

version: string

- Defined in src/print/mapfish-print-v3.js:172

Generated using TypeDoc